package test05.service;

import test05.pojo.Result;
import test05.pojo.User;

public interface UserService {
    /**
     * 用户登录服务
     * @param user 包含用户名和密码用于比对
     * @return 登录结果
     */
    Result login(User user);
    
    /**
     * 添加用户服务
     * @param user 要添加的用户
     * @return 添加结果
     */
    Result addUser(User user);
}
